Page MenuHomePhabricator

Update DisableAccount to use AuthManager
Closed, ResolvedPublic

Description

See T110433 and T110291.

Items needing updating:

  • Uses $user->setPassword( null ) - Since this is supposed to be very permanent, use SessionManager::preventSessionsForUser() and AuthManager::revokeAccessForUser(). Or maybe just call User::newSystemUser( $name, [ 'steal' => true ] ).

Related Objects

Event Timeline

Tgr created this task.Aug 29 2015, 12:30 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added subscribers: Aklapper, Tgr.
Liuxinyu970226 added a subscriber: werdna.
Anomie updated the task description. (Show Details)May 11 2016, 8:45 PM

Change 289706 had a related patch set uploaded (by Anomie):
(Ab)Use User::newSystemUser to disable accounts

https://gerrit.wikimedia.org/r/289706

Change 289706 merged by jenkins-bot:
(Ab)Use User::newSystemUser to disable accounts

https://gerrit.wikimedia.org/r/289706

Anomie closed this task as Resolved.May 24 2016, 6:21 PM
Anomie claimed this task.

Change 296510 had a related patch set uploaded (by Gergő Tisza):
(Ab)Use User::newSystemUser to disable accounts

https://gerrit.wikimedia.org/r/296510

Change 296510 merged by jenkins-bot:
(Ab)Use User::newSystemUser to disable accounts

https://gerrit.wikimedia.org/r/296510